.example-wrapper {
    display: flex;
    flex-direction: column;
    height: 100%;
}

#myGrid {
    flex: 1 1 0;
    width: 100%;
}

.example-header {
    margin-bottom: 10px;
}

#drawer.active,
#popup.active {
    display: flex;
}

/* Base styles for the container */
#popup {
    display: none; /* Hidden by default */
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);

    & .inner {
        min-width: 300px;
    }

    & .content {
        min-height: 200px;
    }
}

#popup .inner {
    border: 1px solid;
    padding: 20px;
    border-radius: 10px;
    -webkit-font-smoothing: antialiased;
    background-color: var(--example-background-color, white);
    color: var(--example-text-color, black);
    color-scheme: var(--example-color-scheme);
    font-family: var(--example-font-family, Arial), sans-serif;
    flex-direction: column;
}

/* Base styles for the container */
#drawer {
    & .inner {
        min-width: 300px;
    }

    & .content {
        min-height: 200px;
    }
    position: fixed;
    z-index: 2;
    top: 54px;
    bottom: 0;
    width: 300px;
    display: flex;
    transform: translateX(-344px);
    transition: transform 0.3s ease-in-out;
}

#drawer .content {
    height: calc(100% - 90px);
}

#drawer .inner {
    border: 1px solid;
    padding: 20px;
    border-radius: 10px;
    -webkit-font-smoothing: antialiased;
    background-color: var(--example-background-color, white);
    color: var(--example-text-color, black);
    color-scheme: var(--example-color-scheme);
    font-family: var(--example-font-family, Arial), sans-serif;
    flex-direction: column;
}

#drawer.active {
    transform: translateX(0);
}
